## org.apache.lucene.search.join
Class ToParentBlockJoinFieldComparator.Lowest

    java.lang.Object
      org.apache.lucene.search.FieldComparator<Object>
          org.apache.lucene.search.join.ToParentBlockJoinFieldComparator
              org.apache.lucene.search.join.ToParentBlockJoinFieldComparator.Lowest

Enclosing class:
  ToParentBlockJoinFieldComparator

    public static final class ToParentBlockJoinFieldComparator.Lowest

extends ToParentBlockJoinFieldComparator

Concrete implementation of `ToParentBlockJoinSortField` to sorts the parent docs with the lowest values in the child / nested docs first.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.search.join.ToParentBlockJoinFieldComparator
`ToParentBlockJoinFieldComparator.Highest, ToParentBlockJoinFieldComparator.Lowest`

Nested classes/interfaces inherited from class org.apache.lucene.search.FieldComparator
`FieldComparator.ByteComparator, FieldComparator.DocComparator, FieldComparator.DoubleComparator, FieldComparator.FloatComparator, FieldComparator.IntComparator, FieldComparator.LongComparator, FieldComparator.NumericComparator<T extends Number>, FieldComparator.RelevanceComparator, FieldComparator.ShortComparator, FieldComparator.TermOrdValComparator, FieldComparator.TermValComparator`

Constructor Summary
`ToParentBlockJoinFieldComparator.Lowest(FieldComparator<Object> wrappedComparator, Filter parentFilter, Filter childFilter, int spareSlot)` Create ToParentBlockJoinFieldComparator.Lowest

Method Summary
`int` `compareBottom(int parentDoc)`
`int` `compareDocToValue(int parentDoc, Object value)`
`void` `copy(int slot, int parentDoc)`

Methods inherited from class org.apache.lucene.search.join.ToParentBlockJoinFieldComparator
`compare, setBottom, setNextReader, value`

Methods inherited from class org.apache.lucene.search.FieldComparator
`compareValues, setScorer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ToParentBlockJoinFieldComparator.Lowest

    public ToParentBlockJoinFieldComparator.Lowest(FieldComparator<Object> wrappedComparator,
                                                   Filter parentFilter,
                                                   Filter childFilter,
                                                   int spareSlot)

  Create ToParentBlockJoinFieldComparator.Lowest

  Parameters:
    `wrappedComparator` - The `FieldComparator` on the child / nested level.
    `parentFilter` - Filter (must produce FixedBitSet per-segment) that identifies the parent documents.
    `childFilter` - Filter that defines which child / nested documents participates in sorting.
    `spareSlot` - The extra slot inside the wrapped comparator that is used to compare which nested document inside the parent document scope is most competitive.

Method Detail

### compareBottom

    public int compareBottom(int parentDoc)
                      throws IOException

  Specified by:
    `compareBottom` in class `FieldComparator<Object>`
  Throws:
    `IOException`

### copy

    public void copy(int slot,
                     int parentDoc)
              throws IOException

  Specified by:
    `copy` in class `FieldComparator<Object>`
  Throws:
    `IOException`

### compareDocToValue

    public int compareDocToValue(int parentDoc,
                                 Object value)
                          throws IOException

  Specified by:
    `compareDocToValue` in class `FieldComparator<Object>`
  Throws:
    `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.